package cn.axzo.workflow.common.enums;

/**
 * 审批人指定枚举
 *
 * @author wangli
 * @since 2023/11/16 10:16
 */
public enum ApproverSpecifyEnum {

    position("position", "指定岗位"),
    role("role", "指定角色"),
    identity("identity", "指定身份"),
    initiatorLeader("initiatorLeader", "发起人主管"),
    initiatorLeaderRecursion("initiatorLeaderRecursion", "发起人多级主管"),
    fixedPerson("fixedPerson", "固定人员"),
    preNodeSpecified("preNodeSpecified", "上级节点指定"),
    ;
    private String type;
    private String desc;

    ApproverSpecifyEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
